# =====================================================================================================================
# === Vault template variant
# =====================================================================================================================
variables:
  # variables have to be explicitly declared in the YAML to be exported to the service
  VAULT_ROLE_ID: "$VAULT_ROLE_ID"
  VAULT_SECRET_ID: "$VAULT_SECRET_ID"

.gcp-base:
  services:
    - name: "$TBC_TRACKING_IMAGE"
      command: ["--service", "gcloud", "2.0.0" ]
    - name: "$CI_REGISTRY/to-be-continuous/tools/vault-secrets-provider:master"
      alias: "vault-secrets-provider"
